View Issue Details

IDProjectCategoryView StatusLast Update
0022788mantisbtapi restpublic2017-06-04 14:58
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.3.1 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022788: Support retrieving projects accessible to users
Description

The API should provide a way to retrieve projects/sub-projects accessible to user and their associated information.

TagsNo tags attached.

Activities

vboctor

vboctor

2017-04-23 18:58

manager   ~0056679

The project information should also include related information like versions, categories, and custom fields.

cproensa

cproensa

2017-04-23 19:32

developer   ~0056681

Maybe related:
Should we at some point remove the possibility of multiple parent projects?
like: one project is subproject of two parent projects.

vboctor

vboctor

2017-04-23 20:35

manager   ~0056682

This is an issue to discuss possibly at 0020585 or some sub-projects specific issue.

vboctor

vboctor

2017-05-03 22:49

manager   ~0056771

PR: https://github.com/mantisbt/mantisbt/pull/1100/

Issue History

Date Modified Username Field Change
2017-04-23 18:48 vboctor New Issue
2017-04-23 18:58 vboctor Note Added: 0056679
2017-04-23 19:32 cproensa Note Added: 0056681
2017-04-23 20:35 vboctor Note Added: 0056682
2017-04-30 14:57 vboctoradmin Target Version => 2.5.0
2017-05-03 22:49 vboctor Assigned To => vboctor
2017-05-03 22:49 vboctor Status new => resolved
2017-05-03 22:49 vboctor Resolution open => fixed
2017-05-03 22:49 vboctor Fixed in Version => 2.5.0
2017-05-03 22:49 vboctor Note Added: 0056771
2017-06-04 14:58 vboctor Status resolved => closed